# Generated by Django 4.1.1 on 2023-01-22 16:30

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AbstractFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('public', models.BooleanField(blank=True, default=True, null=True)),
                ('title', models.CharField(blank=True, max_length=120, null=True)),
                ('type',
                 models.CharField(choices=[('Image', 'Image'), ('MP3', 'Mp3'), ('Video', 'Video'), ('Other', 'Other')],
                                  default='Other', max_length=5)),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                            to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ConvertedFile',
            fields=[
                ('abstractfile_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.abstractfile')),
                ('temp', models.BooleanField(default=False)),
                ('conversion_properties', models.JSONField(blank=True, default={}, null=True)),
            ],
            bases=('dash.abstractfile',),
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('abstractfile_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.abstractfile')),
                ('file_object', models.FileField(blank=True, null=True, upload_to='files')),
            ],
            bases=('dash.abstractfile',),
        ),
        migrations.CreateModel(
            name='Model',
            fields=[
                ('abstractfile_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.abstractfile')),
                ('description', models.TextField(blank=True, null=True)),
                ('conversion_properties', models.JSONField(blank=True, default={}, null=True)),
            ],
            options={
                'verbose_name_plural': 'Models',
            },
            bases=('dash.abstractfile',),
        ),
        migrations.CreateModel(
            name='ModelFile',
            fields=[
                ('abstractfile_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.abstractfile')),
                ('file_object', models.FileField(upload_to='models')),
                ('model_file_type', models.CharField(
                    choices=[('main_model', 'Main Model'), ('generator', 'Generator'), ('detector', 'Detector'),
                             ('mask_detector', 'Mask Detector')], default='main_model', max_length=15)),
            ],
            bases=('dash.abstractfile',),
        ),
        migrations.CreateModel(
            name='RawConvertedFile',
            fields=[
                ('convertedfile_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.convertedfile')),
            ],
            bases=('dash.convertedfile',),
        ),
        migrations.CreateModel(
            name='TorchModel',
            fields=[
                ('model_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.model')),
            ],
            options={
                'verbose_name': 'Face Swap Model',
                'verbose_name_plural': 'Face Swap Models',
            },
            bases=('dash.model',),
        ),
        migrations.CreateModel(
            name='VoiceSwapModel',
            fields=[
                ('model_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.model')),
                ('vocoder', models.CharField(
                    choices=[('pwgan_ljspeech', 'Pwgan Ljspeech'), ('pwgan_vctk', 'Pwgan Vctk'),
                             ('hifigan_ljspeech', 'Hifigan Ljspeech'), ('hifigan_vctk', 'Hifigan Vctk')],
                    max_length=30)),
                ('acoustic_model', models.CharField(
                    choices=[('fastspeech2_vctk', 'Fastspeech2 Vctk'), ('tacotron2_ljspeech', 'Tacotron2 Ljspeech'),
                             ('fastspeech2_ljspeech', 'Fastspeech2 Ljspeech')], max_length=30)),
            ],
            bases=('dash.model',),
        ),
        migrations.AddField(
            model_name='model',
            name='model_files',
            field=models.ManyToManyField(to='dash.modelfile'),
        ),
        migrations.AddField(
            model_name='convertedfile',
            name='created',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    related_name='created', to='dash.file'),
        ),
        migrations.AddField(
            model_name='convertedfile',
            name='selected_model',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    to='dash.model'),
        ),
        migrations.AddField(
            model_name='convertedfile',
            name='source',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    related_name='source', to='dash.file'),
        ),
        migrations.AddField(
            model_name='convertedfile',
            name='target',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    related_name='target', to='dash.file'),
        ),
        migrations.CreateModel(
            name='VideoSwapModel',
            fields=[
                ('model_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='dash.model')),
                ('face_model',
                 models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='dash.torchmodel')),
                ('voice_model',
                 models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='dash.voiceswapmodel')),
            ],
            bases=('dash.model',),
        ),
    ]
